%define pkgname %(echo %name | cut -d- -f2- | tr - _)
Name:          python-pdm-pep517
Version:       1.1.1
Release:       1mamba
Summary:       A PEP 517 backend for PDM that supports PEP 621 metadata
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://pdm.fming.dev/
Source:        https://pypi.debian.net/pdm-pep517/pdm-pep517-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython3-devel
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n pdm-pep517-%{version}

%build
CFLAGS="%{optflags}" %{__python} -m build --no-isolation --wheel

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} -m installer --destdir=%{buildroot} dist/*.whl

%files %{?pyappend}
%defattr(-,root,root)
%dir %{python_sitearch}/%{pkgname}-%{version}.dist-info
%{python_sitearch}/%{pkgname}-%{version}.dist-info/*
%dir %{python_sitearch}/pdm/pep517
%{python_sitearch}/pdm/pep517/*
%doc LICENSE

%changelog
* Tue Jan 31 2023 Automatic Build System <autodist@mambasoft.it> 1.1.1-1mamba
- automatic version update by autodist

* Thu Nov 24 2022 Automatic Build System <autodist@mambasoft.it> 1.0.6-1mamba
- automatic version update by autodist

* Mon Oct 24 2022 Automatic Build System <autodist@mambasoft.it> 1.0.5-1mamba
- automatic version update by autodist

* Sun Oct 09 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 1.0.4-1mamba
- package created using the webbuild interface
